export const mutations = {
  setScatter (state, scatter) {
    state.scatter = scatter
  },
  setEos (state, eosjs) {
    state.eos = eosjs
  },
  setAccount (state, account) {
    state.account = account
  },
  setToAccount (state, name) {
    state.toAccount = name
  },
  setBalance (state, balance) {
    state.balance = balance
  },
  setMoney (state, money) {
    state.money = money
  },
  setGt (state, gt) {
    state.gt = gt
  },
  setMainnet (state, mainnet) {
    state.mainnet = mainnet
  },
  setGTError (state, count) {
    state.gtErrorCount = count
  },
  setEOSError (state, count) {
    state.eosErrorCount = count
  },
  setPublicKey (state, string) {
    state.publicKey = string
  },
  setUserId (state, string) {
    state.userId = string
  },
  setToken (state, string) {
    state.token = string
  },
  changeSessionId (state, data) {
    state.curSession = data
  },
  setUserInfo (state, data) {
    state.userInfo = data
  },
  setUserNickName (state, data) {
    state.userInfo.nick_name = data
  },
  updateUserPhoto (state, data) {
    state.userInfo.cover_photo = data
  }
}
